#pragma once
#include "Mod.h"

class FreeLook : public Mod {
public:
	FreeLook() : Mod(_("Free Look"), _("Free the look camera."), Category::RENDER) {
		enabled = false;
		onlyenabled = false;
		onlyheld = false;
	}

private:
	bool get = false;
	glm::vec4 lastangle;

	virtual auto onEnabled() -> void override;
	virtual auto onViewPerspectiveBefore(int* perspective) -> void override;
	virtual auto onCameraComponentUpdate(glm::vec4* angle) -> void override;
};
